Back to top

Autore Topic: Strict Standards: ...CHE COSA SIGNIFICA?  (Letto 3104 volte)

Offline Cicerone80

  • Appassionato
  • ***
  • Post: 238
    • Mostra profilo
Strict Standards: ...CHE COSA SIGNIFICA?
« il: 22 Feb 2014, 19:52:41 »
Codice: [Seleziona]
Spett.le Assistenza

Ho trasferito 3 miei siti da remoto a locale. Tutto bene per i siti sviluppati con Joomla vers. 2.5.x, ed inve ho ottenuto una lunghissima lista di istruzioni in codice del tipo appresso riportato. Del sito, neanche l' ombra di una parola, o di una immagine, o di una voce di menu. Mai capitato ciò, e non so dove mettere le mani.

 Qualcuno mi aiuta? Anche un semplice link, ... poi cercherò di arrangiarmi da solo!

Grazie
 grazie
 grazie anticipatamente

Cicerone80

Segue una parte ridottissima, sul mio browser alla fine compare la SCRITTA DI MEMORIA ESAURITA!!!

Strict Standards: Non-static method JLoader::import() should not be called statically in C:\xampp\htdocs\xxxxxxxx\libraries\joomla\import.php on line 29

Strict Standards: Non-static method JLoader::register() should not be called statically in C:\xampp\htdocs\xxxxxxxx\libraries\loader.php on line 71

Strict Standards: Non-static method JLoader::import() should not be called statically in C:\xampp\htdocs\xxxxxxxx\libraries\joomla\import.php on line 32

Strict Standards: Non-static method JLoader::register() should not be called statically in C:\xampp\htdocs\xxxxxxxx\libraries\loader.php on line 71

Strict Standards: Non-static method JLoader::load() should not be called statically in C:\xampp\htdocs\xxxxxxxx\libraries\loader.php on line 161

Strict Standards: Non-static method JLoader::register() should not be called statically in C:\xampp\htdocs\xxxxxxxx\libraries\loader.php on line 138

Strict Standards: Non-static method JRequest::clean() should not be called statically in C:\xampp\htdocs\xxxxxxxx\libraries\joomla\import.php on line 33

Strict Standards: Non-static method JRequest::_cleanArray() should not be called statically in C:\xampp\htdocs\xxxxxxxx\libraries\joomla\environment\request.php on line 463

Strict Standards: Non-static method JRequest::_cleanArray() should not be called statically in C:\xampp\htdocs\xxxxxxxx\libraries\joomla\environment\request.php on line 464

.................
................


E continua così fino alla fine!!!


Offline maicolstaip

  • Global Moderator
  • Instancabile
  • ********
  • Post: 17623
  • Sesso: Maschio
    • Mostra profilo
Re:Strict Standards: ...CHE COSA SIGNIFICA?
« Risposta #1 il: 22 Feb 2014, 20:17:54 »
Ciao Cicerone80,
non si capisce.
Gli errori sono riferiti ad un sito in locale.

Che versione di joomla, comunque?
Non si risponde a PM tecnici. Postate sul forum. Grazie.

Offline Cicerone80

  • Appassionato
  • ***
  • Post: 238
    • Mostra profilo
Re:Strict Standards: ...CHE COSA SIGNIFICA?
« Risposta #2 il: 22 Feb 2014, 20:52:49 »
Salve maicolstaip :)

ben ritrovato :) :) ! dopo mesi e mesi che io manca su questo ottimo e professionale forum!

"La Piazzetta" (http://lanostrapiazzetta.net/ ) è stato da me sviluppato con la versione 1.5.x di Joomla! Io poi mi sono fermato alla vers. 1.5.26, che mi sembra sia l' ultima ( ... o la penultima.)
La piattaforma di xampp da me utilizzata in locale è la 1.7.7

Con gli altri due siti sviluppati ed aggiornati all'ultima versione di Joomla 2.5.x non ho avuto problemi: il trasferimento dei siti da remoto a locale è filato liscio come l' olio (domini: lanostrapiazzetta.it/ e zeferino.it/ )

A me interessa avere in locale proprio il joomla-website 1.5.26, perchè lo vorrei ristrutturare (è stato il mio primo sito joomla, fatto un poco di corsa, e con poca esperienza!)

Ora, se tu potessi almeno segnalarmi un link, poi vedrei di arrangiarmi da solo; non vorrei farti perder tempo per queste stupidaggini.

Grazie anticipatamente

Cicerone80







mau_develop

  • Visitatore
Re:Strict Standards: ...CHE COSA SIGNIFICA?
« Risposta #3 il: 22 Feb 2014, 21:08:05 »
joomla ha dei requisiti software per php e mysql hai controllato che la tua versione di xamp sia compatibile?

Offline Cicerone80

  • Appassionato
  • ***
  • Post: 238
    • Mostra profilo
Re:Strict Standards: ...CHE COSA SIGNIFICA?
« Risposta #4 il: 22 Feb 2014, 23:33:03 »
Scusami, mi sono dovuto allontanare dal pc per un problema imprevisto...

Ho pensato che possa dipendere dal fatto che la versione 1.5.26 è ormai abbastanza datata, mentre quella di xampp è l' ultima disponibile in Rete.
Supponiamo che io riesca a sapere che c' è incompatibilità e che trovi una versione di xampp che vada bene per tutte e tre i siti (joomla 1.5.x e joomla 2.5.x). A quel punto, posso sovrascrivere l' attuale versione di xampp con quella più datata senza spostare i siti? o debbo parcheggiarli da qualche parte, disinstallare il nuovo xampp installare il vecchio e reincollare i siti parcheggiati? Qualunque cosa debba fare, sono disposto a farla, ma il punto principale è: dove trovo questa informazione sulla compatibilità?

Se puoi darmi unconsiglio, te ne sarei   grato.

Grazie comunque.

p.s. [MODIFICA->] Ho letto in Rete proprio ora che potrebbe andare bene xampp 1.7.1
RESTA PERO' IL PROBLEMA DI COME PROCEDERE ALLA SOSTITUZIONE DI XAMPP 1.7.7 (DOVE HO GIA' I TRE SITI, 2 CON JOOMLA 2.5.X E 1 CON JOOMLA 1.5.X) CON XAMPP 1.7.1.
NON VORRE FARE TUTTO DACCAPO. CHI MI AIUTA? GRAZIE!!!

Cicerone80
« Ultima modifica: 22 Feb 2014, 23:56:15 da Cicerone80 »

Offline Cicerone80

  • Appassionato
  • ***
  • Post: 238
    • Mostra profilo
Re:Strict Standards: ...CHE COSA SIGNIFICA?
« Risposta #5 il: 23 Feb 2014, 12:05:16 »
Salve a tutti.

Non avendo ricevuto nessuna risposta al mio quesito, mi son dato da fare, ed ora mi trovo in una situazione che o ne esco fuori o rischio di perdere tutto il mio lavoro.

Per dare la possibilità a qualche buon  cibernauta di aiutarmi, riepilogo brevemente il mio quesito.

Il quesito era il seguente: avendo problemi con xampp 1.7.7 con siti sviluppati con  le versioni 2.5.x e soprattutto 1.5.x di joomla, e supponendo di non averne con xampp 1.7.1, quale è la procedura corretta per sostituire xampp 1.7.7 con 1.7.1, e però tenendo presente che io ho già installato in htdocs i files dei tre siti ed ho in xampp 1.7.7 i relativi database?

Prima prova: ho scaricato xampp 1.7.1 ( con qualche difficoltà!) e l'ho mandato in esecuzione, sovrascrivendo quella esistente. Ovviamente, essendo precedente, non è cambiato nulla (come io prevedevo! .. ma era la via più breve, ed io sono pigro per natura!!). Purtroppo miracoli sul web non ce ne avvengono.

Allora, ho disinstallato tutto di xampp 1.7.7, tranne ovviamente i database, ed ora - incrociate scaramanticamente le dita! - pro a rilanciare xampp 1.7.1
Tra poco vi farò sapere il risultato.

Cicerone80

Offline Cicerone80

  • Appassionato
  • ***
  • Post: 238
    • Mostra profilo
Re:Strict Standards: ...CHE COSA SIGNIFICA?
« Risposta #6 il: 23 Feb 2014, 12:35:50 »
Salve a tutti.

CONTINUO A RISPONDERE A ME STESSO!

Allora. ho provato. Ho copiato uno dei miei tre siti (esattamente zeferinoit, sviluppato con Joomla! vers. 2.5.18, e parcheggiato momentaneamente in Documenti) e l' ho incollato sotto htdocs di xampp 1.7.1 (altro problema, dovrei disattivare un certo account UAC, per motivi di cui ho capito ben poco).
Ho lanciato in esecuzione il comando http://localhost/nome_mio_sito/ e purtroppo non è cambiato niente, nel senso che vedo il sito ma persistono quelle righe di codice che iniziano con
Codice: [Seleziona]
Strict Standards: Only variables s.... ecc. ecc.
Prevedo che non è cambiato nulla anche per gli altri due siti, e specie per quello sviluppato con joomla 1.5.26  ... una vera catastrofe... il sito non compare affatto   . ho un esaurimento della memoria piena di tutte quelle cavole di righe.

Mi sa che dovrò disturbare il mio grande web-amico (che ovviamente per la privacy non nomino)

Cicerone80

 



Web Design Bolzano Kreatif